<?php
namespace App\Entities\Tarifas\Maquinas;

use App\Entities\Tarifas\Acabados\TarifaAcabadoEntity;
use App\Entities\Tarifas\TarifaextraEntity;
use App\Models\Tarifas\Acabados\TarifaAcabadoModel;
use App\Models\Tarifas\TarifaextraModel;
use CodeIgniter\Entity\Entity;
use App\Entities\Configuracion\Maquina;
use App\Models\Configuracion\MaquinaModel;

class TarifaExtraMaquinaEntity extends Entity
{
    protected $attributes = [
        "id" => null,
        "tarifa_extra_id" => null,
        "maquina_id" => null,
        "maquina_tarea_id" => null,
    ];
    protected $casts = [
        "id" => "integer",
        "tarifa_extra_id" => "integer",
        "maquina_id" => "integer",
        "maquina_tarea_id" => "?integer",

    ];

    public function tarifa_extra(): TarifaextraEntity
    {
        $m = model(TarifaextraModel::class);
        return $m->find($this->attributes["tarifa_extra_id"]);
    }
    public function maquina(): ?Maquina
    {
        $m = model(MaquinaModel::class);
        return $m->find($this->attributes['maquina_id']);
    }
}
